<b> Generate pin-array connectors (e.g. headers).</b>
<p>
 Generate a connectors that consits of an array of evenly spaced terminals and a frame.
<h4>connector()</h4>
<table border=1 cellspacing=0 cellpadding=10>
<tr><th align=left>name <th align=left>man<br>dat<br>ory<th align=left>description <th align=left>value (bold: default)
<tr><td>ny
<td> yes
<td>number of pins (in vertical direction)
<td>
&nbsp;
<tr><td>nx
<td> &nbsp;
<td>number of columns (in horizontal direction; e.g. single row connectors have 1, headers have 2)
<td>
&nbsp;
<tr><td>eshift
<td> &nbsp;
<td>double pin spacing, shift even rows or columns by 1 spacing (optional; default: don't shift)
<td>
<table border=1 cellpadding=10 cellspacing=0>
<tr><td>
x
<td>shift columns (vertical)
<td>
&nbsp;
<tr><td>
y
<td>shift rows (horizontal)
<td>
&nbsp;
<tr><td>
<b>
none
</b>
<td>do not shift anything
<td>
&nbsp;
</table>
<tr><td>etrunc
<td> &nbsp;
<td>truncate the last pin of a shifted row or column
<td>
Boolean: yes/no, true/false, 1/0
; Default: <b>false</b>
<br>
<table border=0>
<tr><td>true:<td>
&nbsp;
<td>false:<td>
&nbsp;
</table>
&nbsp;
<tr><td>sequence
<td> &nbsp;
<td>pin numbering sequence
<td>
<table border=1 cellpadding=10 cellspacing=0>
<tr><td>
<b>
normal
</b>
<td>increase by y first, then by x
<td>
&nbsp;
<tr><td>
pivot
<td>increase by x first, then by y
<td>
&nbsp;
<tr><td>
zigzag
<td>"dip-style" numbering in zig-zag: number odd x rows by y ascending, even x rows by y descending
<td>
&nbsp;
</table>
</table>
<h3>Example</h3>
 connector(2, 3)
</a>
</body></html>
